com.brightcove.player.model

## Enum Region.DisplayAlign

- java.lang.Object
- - java.lang.Enum<Region.DisplayAlign>
  - - com.brightcove.player.model.Region.DisplayAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Region.DisplayAlign>
  Enclosing class:
    Region

      public static enum Region.DisplayAlign
      extends java.lang.Enum<Region.DisplayAlign>

  See Also:
    http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-displayAlign

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER`
    `BEFORE`
    `CENTER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Region.DisplayAlign` | `fromString(java.lang.String value)`
    `static Region.DisplayAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Region.DisplayAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final Region.DisplayAlign BEFORE

    - #### CENTER

          public static final Region.DisplayAlign CENTER

    - #### AFTER

          public static final Region.DisplayAlign AFTER

  - ### Method Detail

    - #### values

          public static Region.DisplayAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Region.DisplayAlign c : Region.DisplayAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Region.DisplayAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static Region.DisplayAlign fromString(java.lang.String value)